// Copyright 2020 - Guilherme (@guieiras)
// Locale/language file for Portuguese / Brazil.
// This file will override the default values located in `defaults.h`.
#ifndef LOCALE_PT_BR_H_
#define LOCALE_PT_BR_H_

#define D_STR_UNKNOWN "DESCONHECIDO"
#define D_STR_PROTOCOL "Protocolo"
#define D_STR_POWER "Energia"
#define D_STR_PREVIOUS "Anterior"
#define D_STR_ON "Ligado"
#define D_STR_OFF "Desligado"
#define D_STR_MODE "Modo"
#define D_STR_TOGGLE "Alterar"
#define D_STR_TURBO "Turbo"
#define D_STR_SUPER "Super"
#define D_STR_SLEEP "Dormir"
#define D_STR_LIGHT "Luz"
#define D_STR_POWERFUL "Potente"
#define D_STR_QUIET "Silencioso"
#define D_STR_ECONO "Econômico"
#define D_STR_SWING "Girar"
#define D_STR_SWINGH D_STR_SWING"(H)"
#define D_STR_SWINGV D_STR_SWING"(V)"
#define D_STR_BEEP "Tocar beep"
#define D_STR_MOULD "Moldar"
#define D_STR_CLEAN "Limpar"
#define D_STR_PURIFY "Purificar"
#define D_STR_TIMER "Timer"
#define D_STR_ONTIMER D_STR_TIMER " " D_STR_ON
#define D_STR_OFFTIMER D_STR_TIMER " " D_STR_OFF
#define D_STR_TIMERMODE D_STR_MODE " " D_STR_TIMER
#define D_STR_CLOCK "Relógio"
#define D_STR_COMMAND "Comando"
#define D_STR_HEALTH "Saúde"
#define D_STR_MODEL "Modelo"
#define D_STR_TEMP "Temperatura"
#define D_STR_HUMID "Umidificar"
#define D_STR_SAVE "Salvar"
#define D_STR_EYE "Ver"
#define D_STR_FOLLOW "Acompanhar"
#define D_STR_ION "Ionizar"
#define D_STR_FRESH "Refrescar"
#define D_STR_HOLD "Manter"
#define D_STR_BUTTON "Botão"
#define D_STR_NIGHT "Noite"
#define D_STR_SILENT "Silencioso"
#define D_STR_FILTER "Filtrar"
#define D_STR_3D "3D"
#define D_STR_CELSIUS "Celsius"
#define D_STR_FAHRENHEIT "Fahrenheit"
#define D_STR_CELSIUS_FAHRENHEIT D_STR_CELSIUS "/" D_STR_FAHRENHEIT
#define D_STR_UP "Aumentar"
#define D_STR_TEMPUP D_STR_UP " " D_STR_TEMP
#define D_STR_DOWN "Diminuir"
#define D_STR_TEMPDOWN D_STR_DOWN " " D_STR_TEMP
#define D_STR_CHANGE "Alterar"
#define D_STR_START "Iniciar"
#define D_STR_STOP "Parar"
#define D_STR_MOVE "Mover"
#define D_STR_SET "Definir"
#define D_STR_CANCEL "Cancelar"
#define D_STR_COMFORT "Conforto"
#define D_STR_SENSOR "Sensor"
#define D_STR_DISPLAY "Mostrar"
#define D_STR_WEEKLY "Semanal"
#define D_STR_WEEKLYTIMER D_STR_TIMER " " D_STR_WEEKLY
#define D_STR_WIFI "WiFi"
#define D_STR_LAST "Último"
#define D_STR_FAST "Rápido"
#define D_STR_SLOW "Devagar"
#define D_STR_AIRFLOW "Fluxo de Ar"
#define D_STR_STEP "Etapa"
#define D_STR_NA "N/A"
#define D_STR_INSIDE "Interno"
#define D_STR_OUTSIDE "Externo"
#define D_STR_LOUD "Alto"
#define D_STR_UPPER "Mais alto"
#define D_STR_LOWER "Mais baixo"
#define D_STR_BREEZE "Brisa"
#define D_STR_CIRCULATE "Circular"
#define D_STR_CEILING "Teto"
#define D_STR_WALL "Parede"
#define D_STR_ROOM "Sala"
#define D_STR_6THSENSE "Sexto sentido"
#define D_STR_ZONEFOLLOW "Acompanhar ambiente"
#define D_STR_FIXED "Fixo"
#define D_STR_TYPE "Tipo"
#define D_STR_SPECIAL "Especial"
#define D_STR_RECYCLE "Reciclar"
#define D_STR_ID "Id"
#define D_STR_VANE "Vane"

#define D_STR_AUTO "Auto"
#define D_STR_AUTOMATIC "Automático"
#define D_STR_MANUAL "Manual"
#define D_STR_COOL "Esfriar"
#define D_STR_HEAT "Aquecer"
#define D_STR_FAN "Ventilar"
#define D_STR_FANONLY "Apenas-ventilar"
#define D_STR_FAN_ONLY "Apenas_ventilar"
#define D_STR_ONLY "Apenas"
#define D_STR_FANSPACEONLY D_STR_ONLY " " D_STR_FAN
#define D_STR_FANONLYNOSPACE D_STR_ONLY D_STR_FAN
#define D_STR_DRY "Secar"
#define D_STR_8C_HEAT D_STR_HEAT " 8C"

#define D_STR_MAX "Max"
#define D_STR_MAXIMUM "Máximo"
#define D_STR_MIN "Min"
#define D_STR_MINIMUM "Mínimo"
#define D_STR_MED "Med"
#define D_STR_MEDIUM "Médio"

#define D_STR_HIGHEST "Mais alto"
#define D_STR_HIGH "Alto"
#define D_STR_HI "Médio alto"
#define D_STR_MID "Médio"
#define D_STR_MIDDLE "Médio baixo"
#define D_STR_LOW "Inferior"
#define D_STR_LO "Baixo"
#define D_STR_LOWEST "Mais baixo"
#define D_STR_RIGHT "Direita"
#define D_STR_MAXRIGHT D_STR_MAX " " D_STR_RIGHT
#define D_STR_RIGHTMAX_NOSPACE D_STR_RIGHT " (" D_STR_MAX ")"
#define D_STR_LEFT "Esquerda"
#define D_STR_MAXLEFT D_STR_MAX " " D_STR_LEFT
#define D_STR_LEFTMAX_NOSPACE D_STR_LEFT " (" D_STR_MAX ")"
#define D_STR_WIDE "Amplo"
#define D_STR_CENTRE "Centro"
#define D_STR_TOP "Topo"
#define D_STR_BOTTOM "Baixo"

// Separators
#define D_CHR_TIME_SEP ':'
#define D_STR_SPACELBRACE " ("
#define D_STR_COMMASPACE ", "
#define D_STR_COLONSPACE ": "

#define D_STR_DAY "Dia"
#define D_STR_DAYS D_STR_DAY "s"
#define D_STR_HOUR "Hora"
#define D_STR_HOURS D_STR_HOUR "s"
#define D_STR_MINUTE "Minuto"
#define D_STR_MINUTES D_STR_MINUTE "s"
#define D_STR_SECOND "Segundo"
#define D_STR_SECONDS D_STR_SECOND "s"
#define D_STR_NOW "Agora"
#define D_STR_THREELETTERDAYS "DomSegTerQuaQuiSexSab"

#define D_STR_YES "Sim"
#define D_STR_NO "Não"
#define D_STR_TRUE "Verdadeiro"
#define D_STR_FALSE "Falso"

#define D_STR_REPEAT "Repetir"
#define D_STR_CODE "Código"
#define D_STR_BITS "Bits"

// IRrecvDumpV2+
#define D_STR_TIMESTAMP "Timestamp"
#define D_STR_LIBRARY "Biblioteca"
#define D_STR_MESGDESC "Descrição da mensagem"
#define D_STR_TOLERANCE "Tolerância"
#ifndef D_STR_IRRECVDUMP_STARTUP
#define D_STR_IRRECVDUMP_STARTUP \
    "IRrecvDump está rodando e aguardando por entradas IR no pino %d"
#endif  // D_STR_IRRECVDUMP_STARTUP

#ifndef D_WARN_BUFFERFULL
#define D_WARN_BUFFERFULL \
    "AVISO: O código IR é muito grande para o buffer (>= %d). " \
    "Esse resultado não é confiavel e precisa ser resolvido. " \
    "Edite e aumente o valor de `kCaptureBufferSize`."
#endif  // D_WARN_BUFFERFULL

#endif  // LOCALE_PT_BR_H_
